Subject: Re: bug#16793: window-state-put needs a live window

From: Juanma Barranquero <[email-masked]>
Date: Tue, 18 Feb 2014 20:08:34 +0100

On Tue, Feb 18, 2014 at 8:04 PM, martin rudalics <[email-masked]> wrote:

> That was a misunderstanding.

Oh, glad to hear it.

>  Your initial scenario was
>
>   emacs -Q --eval "(setq debug-on-error t)"
>
>   C-x 2
>   C-x r f a
>   C-x 5 2
>   C-u C-x r j a
>
> so I thought you wanted to create a new frame anyway ;-)

With or without C-x 5 2, "C-x r f a" followed a time later by "C-x r j
a" is intended to reuse frames if possible, not create new ones. But I
suppose I could've been clearer. Sorry about that.